Subject: [netconf] Digital Twins in context of YANG and NETCONF Datastore

From: "Schwarz Albrecht (ETAS/ESY1)" <[email-masked]>
Date: Tue, 17 Sep 2019 12:51:49 +0000

Dear All!

I'm curious whether the IETF NETCONF/OPSAWG experts did already discuss how "digital twin" related concepts could/would be mapped on our management architectures.

Being aware that there's probably still a precise term definition lacking in the IETF, I guess that we could make at least the rough working assumption that e.g. "a digital twin relates to a virtual representation of a technical entity".

Thus, when looking at the types of technical entities in scope of these IETF WGs, then the two twin entities (let's term them A and M) would/could be related to

*         twin "A" = managed system (acting in management agent or management server role) and

*         twin "M" = managing system (acting in management manager or management client role).

Consequently, the digital twins would relate to managed objects (MO), constituted by management data models.

If such a working assumption and management concept wouldn't be completely nonsense, then I could imagine that a digital twin could be equated with e.g.,

a) a dedicated YANG module (covering all management data as part of a digital twin related management services) or

b) an existent or dedicated NETCONF datastore instance "digital twin" (either explicit or implicit (using filtering))?

Could you follow such an interpretation and mapping concept of "digital twin" to NETCONF/YANG?

Did you already touch/discuss the digital twin conceptually in IETF meetings?

I think it's worth to provide some statements or recommendations how NETCONF/YANG technologies could be used for the realization of digital twins (or course in specific system contexts only). I think it's feasible.

Thanks and regards,

Albrecht

PS

I would firstly postpone the aspect whether the Internet architecture is of type IoT or non-IoT. (The IoT assumption would be that the twins would be located at IoT device and application layers.)